"use strict";

/* eslint-disable no-console */

const DEBUG = true;
function log(...args) {
  if (DEBUG) {
    console.log('[StyleUtils]', ...args);
  }
}
export function getStylesFromShikiTheme(theme) {
  log('Processing theme:', {
    name: typeof theme === 'string' ? theme : theme.name,
    type: theme.type,
    colors: theme.colors
  });

  // We only need the root styles since Shiki handles token colors
  const styles = {
    root: {
      backgroundColor: theme.bg || theme.colors?.['editor.background'] || '#000000',
      color: theme.fg || theme.colors?.['editor.foreground'] || '#ffffff'
    }
  };
  log('Generated root style:', styles.root);
  return styles;
}
//# sourceMappingURL=style.js.map