/* eslint-disable no-console */
import type { ThemeRegistrationAny } from '@shikijs/types'
import type { TextStyle } from 'react-native'

const DEBUG = true
function log(...args: any[]) {
  if (DEBUG) {
    console.log('[StyleUtils]', ...args)
  }
}

export interface ShikiStyleSheet {
  root: TextStyle
}

export function getStylesFromShikiTheme(theme: ThemeRegistrationAny): ShikiStyleSheet {
  log('Processing theme:', {
    name: typeof theme === 'string' ? theme : theme.name,
    type: theme.type,
    colors: theme.colors,
  })

  // We only need the root styles since Shiki handles token colors
  const styles: ShikiStyleSheet = {
    root: {
      backgroundColor: theme.bg || theme.colors?.['editor.background'] || '#000000',
      color: theme.fg || theme.colors?.['editor.foreground'] || '#ffffff',
    },
  }

  log('Generated root style:', styles.root)

  return styles
}
